//
//  A T2 test game: 
//  		misc. banners 
//			ALL banners removed every 4 turns
//

#include <adv.t>
#include <std.t>

startroom: room
   sdesc = "XTads T2 banner test"
   ldesc = "Misc. vanners that come and go"
   turnCount = 0
	statusLine =
		{
		local createBanner := ((turnCount % 4) = 0);
		local removeBanners := ((turnCount % 4) = 3);
		local li;
		turnCount += 1;
		if (createBanner) 
			{
			"<banner id=b1 align='top' border>b1 top</banner>";
			"<banner id=b2 align='left' border>b2 left</banner>";
			"<banner id=b3 align='bottom' border>b3 bottom</banner>";
			"<banner id=b4 align='right' border>b4 right</banner>";
			"<banner id=b5 align='top' border>b5 top</banner>";
			}
		else if (removeBanners)
			{
			"<banner removeall>";
			}
		else
			{
			// nothing
			}
		}
;

replace commonInit: function
{
    // turn on html mode
    "\H+";
}
